Elly API
  1. Transactions
Elly API
  • API Keys
    • Get current API key details
      GET
    • Get current API key usage statistics
      GET
    • List all API keys
      GET
    • Create a new API key
      POST
    • Revoke an API key
      DELETE
  • Transactions
    • List transactions
      GET
    • Create transaction
      POST
    • Get transaction details
      GET
    • Update transaction
      PATCH
    • Delete transaction
      DELETE
    • Bulk update transactions
      POST
  • Bank Accounts
    • List bank accounts
      GET
    • Create bank account
      POST
    • Get bank account details
      GET
    • Update bank account
      PATCH
    • Delete bank account
      DELETE
    • Get bank account transactions
      GET
  • Statements
    • List bank statements
      GET
    • Upload bank statement file
      POST
    • Get statement details
      GET
    • Get statement transactions
      GET
  • Categories
    • List categories
      GET
  • Reports
    • Cash flow report
      GET
    • Financial summary report
      GET
  • Companies
    • Get company details
  • Schemas
    • TransactionStatus
    • AccountingCategory
    • CashFlowCategory
    • AccountType
    • AccountStatus
    • StatementStatus
    • ApiScope
    • ApiKey
    • Transaction
    • TransactionListResponse
    • TransactionResponse
    • TransactionDetailResponse
    • CreateTransactionRequest
    • UpdateTransactionRequest
    • BulkUpdateRequest
    • BankAccount
    • BankAccountListResponse
    • CreateBankAccountRequest
    • UpdateBankAccountRequest
    • CreateStatementRequest
    • CreateStatementUpload
    • Pagination
    • Error
  1. Transactions

Update transaction

PATCH
/api-v1/transactions/{transactionId}
Transactions
Update a transaction's properties.
Note: Core financial data (amount, date, bank account) cannot be modified
after creation for audit purposes.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Transaction updated
Body

🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://gvazyknvkqdeuzmrnuwu.supabase.co/functions/v1/api-v1/transactions/' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "category": "Software Subscriptions",
    "accounting_category": "Technology Tools Expenses",
    "cash_flow_category": "operations",
    "status": "approved",
    "merchant_name": "Adobe",
    "tags": [
        "software",
        "creative"
    ],
    "internal_notes": "Annual Creative Cloud subscription"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "transaction_date": "2019-08-24",
        "posted_date": "2019-08-24",
        "description": "string",
        "original_description": "string",
        "amount": 0,
        "currency_code": "MXN",
        "exchange_rate": 1,
        "category": "string",
        "sub_category": "string",
        "accounting_category": "Net Sales",
        "cash_flow_category": "operations",
        "merchant_name": "string",
        "status": "pending",
        "is_reconciled": true,
        "ai_confidence_score": 0,
        "tags": [
            "string"
        ],
        "bank_account_id": "9335a679-63ab-44d5-9de9-e01e0c5a1fff",
        "bank_statement_id": "0ba4c0c1-68a9-43fc-8ddc-d5d84fea1af1",
        "internal_transaction": true,
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2025-12-30 00:32:01
Previous
Get transaction details
Next
Delete transaction
Built with